<div >
  <h4 class="custom-modal-title">Add Tasks</h4>
</div>
<div class="custom-modal-body">
  <h4>{{alert}}</h4>

  <mat-dialog-content class="example-card">
    <mat-card class="example-card">
      <mat-form-field>
        <input matInput [(ngModel)]="AddTasks.text" placeholder="Text" >
      </mat-form-field>
      <mat-form-field>
        <mat-label>Is Global</mat-label>
        <mat-select [(ngModel)]="AddTasks.isGlobal">
          <mat-option *ngFor="let global of trueorfalse" [value]="global.value">
            {{global.viewValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Is Leader</mat-label>
        <mat-select [(ngModel)]="AddTasks.isLeader">
          <mat-option *ngFor="let global of trueorfalse" [value]="global.value">
            {{global.viewValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <input matInput [(ngModel)]="AddTasks.creator" placeholder="creator">
      </mat-form-field>
      <mat-form-field>
        <mat-label>Is Completed</mat-label>
        <mat-select [(ngModel)]="AddTasks.isCompleted">
          <mat-option *ngFor="let global of trueorfalse" [value]="global.value">
            {{global.viewValue}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <mat-form-field>
        <input matInput [matDatepicker]="pickerstart" [(ngModel)]="AddTasks.start" placeholder="Choose a Start Date" readonly>
        <mat-datepicker-toggle matSuffix [for]="pickerstart"></mat-datepicker-toggle>
        <mat-datepicker #pickerstart></mat-datepicker>
      </mat-form-field>
      <mat-form-field>

        <input matInput [matDatepicker]="pickerend" [(ngModel)]="AddTasks.end" placeholder="Choose a End Date" readonly>
        <mat-datepicker-toggle matSuffix [for]="pickerend"></mat-datepicker-toggle>
        <mat-datepicker #pickerend></mat-datepicker>
      </mat-form-field>
      <button mat-raised-button color="primary" (click)="onAdd()">Add</button>
    </mat-card>
  </mat-dialog-content>
  <mat-dialog-actions align="end">
      <button mat-button mat-dialog-close>Cancel</button>
<!--      <button mat-button [mat-dialog-close]="true" cdkFocusInitial>Install</button>-->
  </mat-dialog-actions>
</div>




